"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ghpages = require("gh-pages");
const docs_1 = require("../../base/docs");
const conf_1 = require("../../services/conf");
const logger_1 = require("../../services/logger");
class DocsPublish extends docs_1.default {
    async run() {
        await ghpages.publish(conf_1.default.docsPagesDir, e => {
            if (e) {
                logger_1.logger.error(e);
            }
        });
    }
    async postRun() {
        logger_1.logger.log('Published successfully');
    }
}
DocsPublish.examples = [
    '$ rde docs:publish',
];
exports.default = DocsPublish;
