import { flags } from '@oclif/command';
import RunBase from '../base/run';
export default class Lint extends RunBase {
    static strict: boolean;
    static examples: string[];
    static flags: {
        staged: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        commitMsg: flags.IOptionFlag<string>;
        rebuild: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        install: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        watch: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        extras: flags.IOptionFlag<string>;
        useLocalFlag: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    run(): Promise<void>;
}
