"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const conf_1 = require("./conf");
class Rdehook {
    async trigger(type) {
        const hookPath = path.resolve(conf_1.default.templateDir, '_rdehooks', `${type}.js`);
        if (fs.existsSync(hookPath)) {
            const hookFn = require(hookPath);
            await hookFn();
        }
    }
}
exports.default = new Rdehook();
