"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_1 = require("../base");
const util_1 = require("../util");
const run_1 = require("./run");
class Serve extends base_1.default {
    async run() {
        const { flags } = this.parse(Serve);
        const list = util_1.default.restoreFlags(flags);
        await run_1.default.run(['serve', '--watch', ...list]);
    }
}
Serve.examples = [
    '$ rde serve',
];
Serve.flags = Object.assign({}, base_1.default.flags, run_1.default.flags);
exports.default = Serve;
