"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_1 = require("../base");
const run_1 = require("../base/run");
const sync_1 = require("../services/sync");
class Sync extends run_1.default {
    // Override parent useLocal
    get useLocal() {
        return true;
    }
    async run() {
        await sync_1.default.start({
            watch: false,
            cmd: 'sync',
            skipInstall: false
        });
    }
}
Sync.strict = false;
Sync.examples = [
    '$ rde sync',
];
Sync.flags = Object.assign({}, base_1.default.flags, run_1.default.flags);
exports.default = Sync;
